/*
 * Remote Laboratory Database Definition
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * (c) 2014 Timothy Pearson
 * Raptor Engineering
 * http://www.raptorengineeringinc.com
 */

/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`remotelab_sm` /*!40100 DEFAULT CHARACTER SET latin1 */;

USE `remotelab_sm`;

/*Table structure for table `allowed_servers` */

DROP TABLE IF EXISTS `allowed_servers`;

CREATE TABLE `allowed_servers` (
  `pk` int(11) NOT NULL AUTO_INCREMENT,
  `groupname` text,
  `server` text,
  PRIMARY KEY (`pk`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

/*Table structure for table `dbschema` */

DROP TABLE IF EXISTS `dbschema`;

CREATE TABLE `dbschema` (
  `pk` bigint(20) NOT NULL,
  `skey` text NOT NULL,
  `value` text NOT NULL,
  PRIMARY KEY (`pk`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

/*Table structure for table `groups` */

DROP TABLE IF EXISTS `groups`;

CREATE TABLE `groups` (
  `pk` int(11) NOT NULL AUTO_INCREMENT,
  `groupname` text NOT NULL,
  `sesslimit` int(11) NOT NULL,
  PRIMARY KEY (`pk`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

/*Table structure for table `servers` */

DROP TABLE IF EXISTS `servers`;

CREATE TABLE `servers` (
  `pk` int(11) NOT NULL AUTO_INCREMENT,
  `name` text NOT NULL,
  `maxusers` int(11) NOT NULL,
  `online` tinyint(1) NOT NULL,
  PRIMARY KEY (`pk`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

/*Table structure for table `sessions` */

DROP TABLE IF EXISTS `sessions`;

CREATE TABLE `sessions` (
  `pk` int(11) NOT NULL AUTO_INCREMENT,
  `username` text NOT NULL,
  `arbiter` text NOT NULL,
  `servername` text NOT NULL,
  `server_pid` int(11) DEFAULT NULL,
  `wm_pid` int(11) DEFAULT NULL,
  `stamp_start` int(11) DEFAULT NULL,
  `state` int(11) NOT NULL,
  `display` int(11) DEFAULT NULL,
  `stamp_statechange` int(11) DEFAULT NULL,
  `fpga_locks` int(11) DEFAULT NULL,
  PRIMARY KEY (`pk`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;

/*Table structure for table `statistics` */

DROP TABLE IF EXISTS `statistics`;

CREATE TABLE `statistics` (
  `pk` bigint(20) NOT NULL AUTO_INCREMENT,
  `timestamp` bigint(20) NOT NULL,
  `eventtypeid` bigint(20) NOT NULL,
  `arbiter` text,
  `servername` text,
  `display` bigint(20) DEFAULT NULL,
  `typeid` bigint(20) DEFAULT NULL,
  `username` text,
  PRIMARY KEY (`pk`,`timestamp`)
) ENGINE=InnoDB AUTO_INCREMENT=7619 DEFAULT CHARSET=latin1;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
